OpenNMS API 1.2.9

## org.opennms.web.graph
Class PrefabGraph

    java.lang.Object
      org.opennms.web.graph.PrefabGraph

All Implemented Interfaces:
  java.lang.Comparable

public class PrefabGraph
extends java.lang.Object
implements java.lang.Comparable

Field Summary
`protected java.lang.String[]` `columns`
`protected java.lang.String` `command`
`static java.lang.String` `DEFAULT_GRAPH_LIST_KEY`
`protected java.lang.String` `description`
`protected java.lang.String[]` `externalValues`
`protected java.lang.String` `name`
`protected int` `order`
`protected java.lang.String[]` `propertiesValues`
`protected java.lang.String` `title`
`protected java.lang.String` `type`

Constructor Summary
`PrefabGraph(java.lang.String key, java.util.Properties props, int order)`
`PrefabGraph(java.lang.String name, java.lang.String title, java.lang.String[] columns, java.lang.String command, java.lang.String[] externalValues, java.lang.String[] propertiesValues, int order, java.lang.String type, java.lang.String description)`

Method Summary
`int` `compareTo(java.lang.Object obj)`
`java.lang.String[]` `getColumns()`
`java.lang.String` `getCommand()`
`java.lang.String` `getDescription()` Can be null.
`java.lang.String[]` `getExternalValues()`
`java.lang.String` `getName()`
`int` `getOrder()`
`static java.util.Map` `getPrefabGraphDefinitions(java.util.Properties props)`
`static java.util.Map` `getPrefabGraphDefinitions(java.util.Properties props, java.lang.String listKey)`
`java.lang.String[]` `getPropertiesValues()`
`java.lang.String` `getTitle()`
`java.lang.String` `getType()` Can be null.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_GRAPH_LIST_KEY

    public static final java.lang.String DEFAULT_GRAPH_LIST_KEY

See Also:
  Constant Field Values

### name

    protected java.lang.String name

### title

    protected java.lang.String title

### columns

    protected java.lang.String[] columns

### command

    protected java.lang.String command

### externalValues

    protected java.lang.String[] externalValues

### propertiesValues

    protected java.lang.String[] propertiesValues

### order

    protected int order

### type

    protected java.lang.String type

### description

    protected java.lang.String description

Constructor Detail

### PrefabGraph

    public PrefabGraph(java.lang.String name,
                       java.lang.String title,
                       java.lang.String[] columns,
                       java.lang.String command,
                       java.lang.String[] externalValues,
                       java.lang.String[] propertiesValues,
                       int order,
                       java.lang.String type,
                       java.lang.String description)

### PrefabGraph

    public PrefabGraph(java.lang.String key,
                       java.util.Properties props,
                       int order)

Method Detail

### getPrefabGraphDefinitions

    public static java.util.Map getPrefabGraphDefinitions(java.util.Properties props)

### getPrefabGraphDefinitions

    public static java.util.Map getPrefabGraphDefinitions(java.util.Properties props,
                                                          java.lang.String listKey)

### getName

    public java.lang.String getName()

### getTitle

    public java.lang.String getTitle()

### getOrder

    public int getOrder()

### getColumns

    public java.lang.String[] getColumns()

### getCommand

    public java.lang.String getCommand()

### getExternalValues

    public java.lang.String[] getExternalValues()

### getPropertiesValues

    public java.lang.String[] getPropertiesValues()

### getType

    public java.lang.String getType()

  Can be null.

### getDescription

    public java.lang.String getDescription()

  Can be null.

### compareTo

    public int compareTo(java.lang.Object obj)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.